#!/bin/sh

WORKING_DIR=$(pwd)

printf "parsing install.conf...\n"
. $(pwd)/install.conf
	if [ "$?" != 0 ]; then
		printf "install.conf not found\n"
		exit 1
	else
		printf "install.conf found, loading settings...\n"
	fi

am_i_root() {
	printf "checking if user is root...\n"
	if [[ $(/usr/bin/id -u) -ne 0 ]]; then
		printf "you are not root, aborting...\n"
		exit 1
	else
		printf "you are root\n"
	fi
}

install_emk() {
	mv -v $WORKING_DIR/emk.conf $CONFDIR
	mv -v $WORKING_DIR/emk $PREFIX/bin || mv -v $WORKING_DIR/emk $PREFIX
}

uninstall_emk() {
	rm -v $PREFIX/bin/emk || rm -v $PREFIX/emk
	rm -v $CONFDIR/emk.conf
}

case $1 in
	install)
		am_i_root "$@"
		install_emk "$@"
	;;
	update)
		am_i_root "$@"
		uninstall_emk "$@"
		install_emk "$@"
	;;
	uninstall)
		am_i_root "$@"
		uninstall_emk "$@"
	;;
	*)
		am_i_root "$@"
		printf "no tasks to be done for ${2}\n"
		exit 1
esac
